Bug 431105 - IP Address Resource configuration: cannot enter fully qualified hostname
IP Address Resource configuration: cannot enter fully qualified hostname
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Ryan McCabe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 15:07 EST by Paul Kennedy
Modified: 2015-04-19 20:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0407
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2008-01-31 15:07:54 EST
Description of problem:
Cannot enter fully qualified hostname for IP Address resource. When configuring
IP Address resource with a hostname, luci asks for fully qualified hostname;
however, there is not enough space to enter it.

For example, entering hostname "rg-218" and clicking "Submit" causes this error
message to be displayed:
----------------------------------------------------
  The following errors were found:
  Error:"rg218: Hostnames must be fully qualified.
----------------------------------------------------

Version-Release number of selected component (if applicable):
luci-0.10.0-6.el5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul Kennedy 2008-01-31 15:11:10 EST
NOTE: In original comments, the error message should have been this (added
hyphen in hostname):

The following errors were found:
Error:"rg-218": Hostnames must be fully qualified.
Comment 2 Ryan McCabe 2008-01-31 15:13:02 EST
What is the actual hostname?

You can work around this by partially qualifying the hostname, too. For example,
something like "rg-218.lab" would be accepted. The heuristics for the check in
the javascript are about as basic as possible: if you don't enter an IP address,
it just checks for at least one dot in the hostname.
Comment 3 Kiersten (Kerri) Anderson 2008-02-05 11:33:10 EST
For 5.2, only allow IP addresses instead of hostnames.
Comment 7 Brian Brock 2008-05-14 22:07:24 EDT
verified in -7.el5, generates a helpful error message upon attempting to use FQDN.
Comment 9 errata-xmlrpc 2008-05-21 11:47:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0407.html

Note You need to log in before you can comment on or make changes to this bug.